none
DPM Server 2016 on Windows Server 2008 R2 RRS feed

  • Question

  • Hi,

    AFAIK, Windows Server 2008 R2 SP1 is the supported system for DPM 2016.

    However, DPM requires Hyper-V PoS module, which does not exist in Win 2008 R2 (even on SP1). 

    How it can be solved?

    Tuesday, December 6, 2016 3:01 PM

All replies

  • After some log research I've found that DPM setup checks if the special key is present:

    [12/7/2016 12:45:11 PM] Information : Reading the registry key Software\Microsoft\Microsoft Data Protection Manager\Setup\HyperVPowerShell.

    Next, I've created this key manually before installation and run DPM setup.

    DPM reported that Hyper-V powershell tools have been installed and I should reboot.

    I've ignored this message and re-run prerequisite check.

    The upgrade was completed successfully (it was actually an upgrade from 2012 R2, not a clean install)


    • Edited by EugenBerend Thursday, December 8, 2016 8:26 PM s
    • Proposed as answer by Shafiei.S Tuesday, June 13, 2017 10:49 AM
    • Unproposed as answer by Shafiei.S Tuesday, June 13, 2017 10:49 AM
    Thursday, December 8, 2016 8:25 PM
  • Hi,

    As per DPM 2016 TechNet here - DPM 2016 installation is only supported on Windows Server 2012 R2 and Windows server 2016.


    Please remember to click “Mark as Answer” on the post that helps you, and to click “Unmark as Answer” if a marked post does not actually answer your question. This can be beneficial to other community members reading the thread. Regards, Mike J. [MSFT] This posting is provided "AS IS" with no warranties, and confers no rights.

    Friday, December 9, 2016 12:19 AM
    Moderator
  • Hi,

    This article was updated yesterday. I have left a not-refreshed tab in my browser which says that 2008 r2 is supported. 

    So, it is not supported, but it works.

    

    Friday, December 9, 2016 9:48 AM